<?php
$filename = 'c_leitura.php';
session_start();
if (!file_exists($filename)) {
  header("Location: error.php"); exit;   
}				
include 'c_leitura.php';
error_reporting(0); 
include ('db.php');

$id = $_POST['id'];
$perfil = $_POST['perfil'];
$login = $_POST['login'];
$senha = $_POST['pass'];
$senha2 = $_POST['pass2'];

if ($senha != $senha2) {
	echo json_encode(array('success'=>0, 'msg'=>'Senhas digitadas estão diferentes!'));
	exit;
}

if (!empty($login)) {
    $sql = mysql_query("UPDATE user SET username = '$login' WHERE id = '$id'") or die(mysql_error());
}

if (!empty($senha)) {	
	$senha = md5($senha);
    $sql = mysql_query("UPDATE user SET passwd = '$senha' WHERE id = '$id'");
}

if ($sql)
	echo json_encode(array('success'=>1, 'msg'=>'Dados alterados com sucesso!'));
else
	echo json_encode(array('success'=>0, 'msg'=>'Erro ao alterar os dados'));

exit;